VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
AGainUIMessageController< ControllerType > Class Template Reference

`#include <againuimessagecontroller.h>`

Inheritance diagram for AGainUIMessageController< ControllerType >:

## Public Types
enum | Tags { kSendMessageTag = 1000 }

## Public Member Functions
| AGainUIMessageController (ControllerType *againController)
| ~AGainUIMessageController () override
void | setMessageText (String128 msgText)

## Member Enumeration Documentation

## ◆ Tags

template<typename ControllerType>

enum Tags

Enumerator
kSendMessageTag |

## Constructor & Destructor Documentation

## ◆ AGainUIMessageController()

template<typename ControllerType>

AGainUIMessageController | ( | ControllerType * | againController | ) |
| inline

## ◆ ~AGainUIMessageController()

template<typename ControllerType>

~AGainUIMessageController | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ setMessageText()

template<typename ControllerType>

void setMessageText | ( | String128 | msgText | ) |
| inline

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.